## ros-kinetic-marshmallow 2.9.1

=== debian/changelog ===
ros-kinetic-marshmallow (2.9.1-1xenial) xenial; urgency=high

  Bug fixes:
  * Fix serialization of ``datetime.time`` objects with microseconds (:issue:`464`). Thanks :user:`Tim-Erwin` for reporting and thanks :user:`vuonghv` for the fix.
  * Make ``@validates`` consistent with field validator behavior: if validation fails, the field will not be included in the deserialized output (:issue:`391`). Thanks :user:`martinstein` for reporting and thanks :user:`@vuonghv` for the fix.

 -- AlexV <asmodehn@gmail.com>  Wed, 20 Jul 2016 15:00:00 -0000

ros-kinetic-marshmallow (2.9.0-1xenial) xenial; urgency=high

  * ``Decimal`` field coerces input values to a string before deserializing to a decimal.Decimal object in order to avoid transformation of float values under 12 significant digits (:issue:`434`, :issue:`435`). Thanks :user:`davidthornton` for the PR.

 -- AlexV <asmodehn@gmail.com>  Tue, 05 Jul 2016 15:00:00 -0000

ros-kinetic-marshmallow (2.8.0-1xenial) xenial; urgency=high

  Features:
  * Allow ``only`` and ``exclude`` parameters to take nested fields, using dot-delimited syntax (e.g. ``only=['blog.author.email']``) (:issue:`402`). Thanks :user:`Tim-Erwin` and :user:`deckar01` for the discussion and implementation.
  Support:
  * Update tasks.py for compatibility with invoke>=0.13.0. Thanks :user:`deckar01`.

 -- AlexV <asmodehn@gmail.com>  Wed, 22 Jun 2016 15:00:00 -0000

ros-kinetic-marshmallow (2.7.3-1xenial) xenial; urgency=high

  * Make ``field.parent`` and ``field.name`` accessible to ``on_bind_field`` (:issue:`449`). Thanks :user:`immerrr`.

 -- AlexV <asmodehn@gmail.com>  Wed, 04 May 2016 15:00:00 -0000

ros-kinetic-marshmallow (2.7.2-1xenial) xenial; urgency=high

  No code changes in this release. This is a reupload in order to distribute an sdist for the last hotfix release. See :issue:`443`.
  Support:
  * Update license entry in setup.py to fix RPM distributions (:issue:`433`). Thanks :user:`rrajaravi` for reporting.

 -- AlexV <asmodehn@gmail.com>  Tue, 26 Apr 2016 15:00:00 -0000

ros-kinetic-marshmallow (2.7.1-1xenial) xenial; urgency=high

  Bug fixes:
  * Only add Schemas to class registry if a class name is provided. This allows Schemas to be
    constructed dynamically using the ``type`` constructor without getting added to the class registry (which is useful for saving memory).

 -- AlexV <asmodehn@gmail.com>  Thu, 07 Apr 2016 15:00:00 -0000

ros-kinetic-marshmallow (2.7.0-1xenial) xenial; urgency=high

  Features:
  * Make context available to ``Nested`` field's ``on_bind_field`` method (:issue:`408`). Thanks :user:`immerrr` for the PR.
  * Pass through user ``ValidationError`` kwargs (:issue:`418`). Thanks :user:`russelldavies` for helping implement this.
  Other changes:
  * Remove unused attributes ``root``, ``parent``, and ``name`` from ``SchemaABC`` (:issue:`410`). Thanks :user:`Tim-Erwin` for the PR.

 -- AlexV <asmodehn@gmail.com>  Sun, 03 Apr 2016 15:00:00 -0000

ros-kinetic-marshmallow (2.6.1-1xenial) xenial; urgency=high

  Bug fixes:
  * Respect load_from when reporting errors for nested required fields (:issue:`414`). Thanks :user:`yumike`.

 -- AlexV <asmodehn@gmail.com>  Wed, 16 Mar 2016 15:00:00 -0000

ros-kinetic-marshmallow (2.6.0-1xenial) xenial; urgency=high

  Features:
  * Add ``partial`` argument to ``Schema.validate`` (:issue:`379`). Thanks :user:`tdevelioglu` for the PR.
  * Add ``equal`` argument to ``validate.Length``. Thanks :user:`daniloakamine`.
  * Collect all validation errors for each item deserialized by a ``List`` field (:issue:`345`). Thanks :user:`maximkulkin` for the report and the PR.

 -- AlexV <asmodehn@gmail.com>  Sun, 31 Jan 2016 15:00:00 -0000

ros-kinetic-marshmallow (2.5.0-1xenial) xenial; urgency=high

  Features:
  * Allow a tuple of field names to be passed as the ``partial`` argument to ``Schema.load`` (:issue:`369`). Thanks :user:`tdevelioglu` for the PR.
  * Add ``schemes`` argument to ``validate.URL`` (:issue:`356`).

 -- AlexV <asmodehn@gmail.com>  Fri, 15 Jan 2016 15:00:00 -0000

ros-kinetic-marshmallow (2.4.2-1xenial) xenial; urgency=high

  Bug fixes:
  * Prevent duplicate error messages when validating nested collections (:issue:`360`). Thanks :user:`alexmorken` for the catch and patch.

 -- AlexV <asmodehn@gmail.com>  Mon, 07 Dec 2015 15:00:00 -0000

ros-kinetic-marshmallow (2.4.1-1xenial) xenial; urgency=high

  Bug fixes:
  * Serializing an iterator will not drop the first item (:issue:`343`, :issue:`353`). Thanks :user:`jmcarp` for the patch. Thanks :user:`edgarallang` and :user:`jmcarp` for reporting.

 -- AlexV <asmodehn@gmail.com>  Sun, 06 Dec 2015 15:00:00 -0000

ros-kinetic-marshmallow (2.4.0-1xenial) xenial; urgency=high

  Features:
  * Add ``skip_on_field_errors`` parameter to ``validates_schema`` (:issue:`323`). Thanks :user:`jjvattamattom` for the suggestion and :user:`d-sutherland` for the PR.
  Bug fixes:
  * Fix ``FormattedString`` serialization (:issue:`348`). Thanks :user:`acaird` for reporting.
  * Fix ``@validates`` behavior when used when ``attribute`` is specified and ``strict=True`` (:issue:`350`). Thanks :user:`density` for reporting.

 -- AlexV <asmodehn@gmail.com>  Sat, 05 Dec 2015 15:00:00 -0000

ros-kinetic-marshmallow (2.3.0-1xenial) xenial; urgency=high

  Features:
  * Add ``dump_to`` parameter to fields (:issue:`310`). Thanks :user:`ShayanArmanPercolate` for the suggestion. Thanks :user:`franciscod` and :user:`ewang` for the PRs.
  * The ``deserialize`` function passed to ``fields.Function`` can optionally receive a ``context`` argument (:issue:`324`). Thanks :user:`DamianHeard`.
  * The ``serialize`` function passed to ``fields.Function`` is optional (:issue:`325`). Thanks again :user:`DamianHeard`.
  * The ``serialize`` function passed to ``fields.Method`` is optional (:issue:`329`). Thanks :user:`justanr`.
  Deprecation/Removal:
  * The ``func`` argument of ``fields.Function`` has been renamed to ``serialize``.

